﻿using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DontHarmDesktop.ViewModels
{
    public class WelcomeViewModel : BindableBase
    {
        /// <summary>
        /// Текст "Добро пожаловать"
        /// </summary>
        public string GreetingsText { get; set; }

        public WelcomeViewModel(Models.users user)
        {
            var db = new Models.Entities();
            Models.roles role = db.roles.First(r => r.id == user.role);

            GreetingsText = $"Добро пожаловать, {user.surname} {user.name} {user.patronymic} ({role.name})";
        }
    }
}
