﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using DontHarmWebApi.Entities;

namespace DontHarmWebApi.Controllers
{
    public class ServicesController : Controller
    {
        private readonly user12Context _context;

        public ServicesController(user12Context context)
        {
            _context = context;
        }

        // Get: Services/Create?<...>
        [HttpGet]
        public async Task<IActionResult> Create([Bind("Name,Price,Code")] Service service)
        {
            if (ModelState.IsValid)
            {
                _context.Add(service);
                await _context.SaveChangesAsync();
                return Json(service);
            }
            return BadRequest();
        }
    }
}
