﻿using System;
using System.Collections.Generic;

namespace DontHarmWebApi.Entities
{
    public partial class Client
    {
        public Client()
        {
            Invoices = new HashSet<Invoice>();
            Orders = new HashSet<Order>();
        }

        public int Id { get; set; }
        public int Type { get; set; }
        public string Login { get; set; } = null!;
        public string Password { get; set; } = null!;
        public string? Surname { get; set; }
        public string? Name { get; set; }
        public string? Patronymic { get; set; }
        public DateTime? Birthdate { get; set; }
        public int? PassportSeries { get; set; }
        public int? PassportNumber { get; set; }
        public string Phone { get; set; } = null!;
        public string Email { get; set; } = null!;
        public string? CompanyName { get; set; }
        public string? CompanyAddress { get; set; }
        public int Inn { get; set; }
        public int Account { get; set; }
        public int Bik { get; set; }
        public bool Hidden { get; set; }

        public virtual ICollection<Invoice> Invoices { get; set; }
        public virtual ICollection<Order> Orders { get; set; }
    }
}
