﻿using System;
using System.Collections.Generic;

namespace DontHarmWebApi.Entities
{
    public partial class Service
    {
        public Service()
        {
            EmployeeServices = new HashSet<EmployeeService>();
            OrderServices = new HashSet<OrderService>();
        }

        public int Id { get; set; }
        public string Name { get; set; } = null!;
        public decimal Price { get; set; }
        public string Code { get; set; } = null!;
        public bool Hidden { get; set; }

        public virtual ICollection<EmployeeService> EmployeeServices { get; set; }
        public virtual ICollection<OrderService> OrderServices { get; set; }
    }
}
