﻿using System;
using System.Collections.Generic;

namespace DontHarmWebApi.Entities
{
    public partial class User
    {
        public User()
        {
            EmployeeServices = new HashSet<EmployeeService>();
            Invoices = new HashSet<Invoice>();
        }

        public int Id { get; set; }
        public int Role { get; set; }
        public string Login { get; set; } = null!;
        public string Password { get; set; } = null!;
        public bool Hidden { get; set; }
        public string Surname { get; set; } = null!;
        public string Name { get; set; } = null!;
        public string? Patronymic { get; set; }
        public string? ImagePath { get; set; }

        public virtual Role RoleNavigation { get; set; } = null!;
        public virtual ICollection<EmployeeService> EmployeeServices { get; set; }
        public virtual ICollection<Invoice> Invoices { get; set; }
    }
}
