﻿using System;
using System.Collections.Generic;

namespace DontHarmWebApi.Entities
{
    public partial class Order
    {
        public Order()
        {
            Invoices = new HashSet<Invoice>();
            OrderServices = new HashSet<OrderService>();
        }

        public int Id { get; set; }
        public DateTime CreatedAt { get; set; }
        public int ClientId { get; set; }
        public bool Hidden { get; set; }

        public virtual Client Client { get; set; } = null!;
        public virtual ICollection<Invoice> Invoices { get; set; }
        public virtual ICollection<OrderService> OrderServices { get; set; }
    }
}
