﻿using System;
using System.Collections.Generic;

namespace DontHarmWebApi.Entities
{
    public partial class OrderService
    {
        public int Id { get; set; }
        public int ServiceId { get; set; }
        public int OrderId { get; set; }
        public short Status { get; set; }
        public int? UtilizerId { get; set; }
        public DateTime? StartedAt { get; set; }
        public DateTime? FinishedAt { get; set; }

        public virtual Order Order { get; set; } = null!;
        public virtual Service Service { get; set; } = null!;
        public virtual Utilizer? Utilizer { get; set; }
    }
}
